<!DOCTYPE html>
<html lang="en">




<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- page title (site.title if page.title doesn't exist) -->
  <title>W1. Project Management</title>

  <!-- site description (appears in Google etc.) or page.excerpt if defined -->
  <meta name="Projectmanagement" content="Aenean lacinia bibendum nulla sed consectetur. Etiam porta sem malesuada magna mollis euismod. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sa...">

  <!-- import our stylesheet -->
  <link href="subpage.css" rel="stylesheet" type="text/css">





  <!-- load favicon -->
  <link rel="shortcut icon" type="image/png" href="/mdef-jekyll-starter/images/favicon.png" />


  <!-- canonical URLs for better SEO -->
  <link rel="
    canonical" href="http://localhost:4000/mdef-jekyll-starter/reflections/biology-zero/">
  <link rel="alternate" type="application/rss+xml" title="MDEF Jekyll starter" href="/mdef-jekyll-starter/feed.xml">
<!-- load css sytle sheet -->

<title> Project management </title>
  <link href="style.css" rel="stylesheet" type="text/css">

</head>

<body>

  <div class="container">
  <header class="header" role="banner">


        <div class="row" style="text-align:center;">

        <ul class="main-nav">


                    <li><a href="https://mdef.gitlab.io/adriana.tamargo/"> MDEF </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Reflections.html"> First term </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Secondterm.html"> Second term </a></li>
          <li class="active"><a href="https://mdef.gitlab.io/adriana.tamargo/FabAcademy.html"> Fab Academy </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Finalproject.html"> Final project </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Aboutme.html"> About me </a></li>
          <li> <h5> adriana.tamargo@iaac.net </h5> </li>
                </ul>

    </div>


  </header>

  <main class="page-content" aria-label="Content">
    <div class="wrapper">

    <h1 id="subheading-2">W1. Project Management</h1>

<p>On this week of FabAcademy we were asked to build a personal site describing us and our final project and upload it to the class archive through GitLab. GitLab is a web-based DevOps lifecycle tool that provides a Git-repository manager providing wiki, issue-tracking and CI/CD pipeline features, using an open-source license, developed by GitLab Inc. (1)</p>



<h2 id="subheading-2">How to set the repository.</h2>

<p>1. Install Git</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/uno.PNG" width="550">

<p>2.  Add your Git username and set your email</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/dos.PNG" width="550">

<p>3. Check if you have an SSH KEY already</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/tres.PNG" width="550">

<p>4. If you don’t, generate your SSH key</p>

<p>5. Copy your key</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/cinco.PNG" width="550">

<p>6. Finally add the copied key to GIT on the web version: Profile Settings / SSH Keys </p>

<h2 id="subheading-2">Migrating the repository.</h2>

<p>In my case, as we already created the webpage in October for the MDEF program, I didn’t have to create the website from zero. But as I’ve formatted the computer recently, I didn’t have the local repository linked to git anymore so I had to migrate the repository.</p>

<p> First I went to my online git page (https://gitlab.com). </p>

<img src="https://mdef.gitlab.io/adriana.tamargo/git7.PNG" width="550">

<p>Then I selected the project I wanted to clone and drop-down the "Clone" button.</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/git8.PNG" width="550">

<p>On the drop-down button I copied the “Clone with SSH” link.</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/git9.PNG" width="550">


<p>Then we open the GitBash and use the “cd” command to select where we want to copy the repo and “git clone” to copy the repository.</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/git10.PNG" width="550">

<p>To check that it worked, I accessed the repository through the command cd + name of the repository.</p>

<img src="https://mdef.gitlab.io/adriana.tamargo/git11.PNG" width="550">



<h2 id="subheading-2">Building the webpage.</h2>

<p>I built the webpage through html and css. For that I created a public folder where I have different html files for the different pages, a common css stylesheet with the general visual customizations (font type, font sizes, titles, colors, background…) and individual css stylesheets for the pages that need an individual customization.                                                                                                          </p>

<img id="Clone5" src="website.png" width="700">

<h2 id="subheading-2">Notes:</h2>


<p>(1) https://en.wikipedia.org/wiki/GitLab </p>

<h2 id="subheading-2">References:</h2>

<p>http://fabacademy.org/2019/docs/FabAcademy-Assessment/project_management.html</p>

<p>http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week01_principles_practices_project_management/git_simple.html</p>

<p>http://fabacademy.org/2019/docs/FabAcademy-Tutorials/week01_principles_practices_project_management/git_migrating_repo.html</p>



</div>

    </div>

  </div>



</article>
    </div>
  </main>

  <footer class="footer">

  <div class="row" style="text-align: center;">

      <ul class="main-nav">
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Projectfablab.html"> Previous post </a></li>
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Computer.html"> Next post </a></li>
        <li><h5>adriana.tamargo@iaac.net</h5></li>

    </div>

  </div>

    <div class="row" style="text-align: left;">

  </div>

</footer>

</body>

</html>
